/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#ifndef BLE_HANDLER_H
#define BLE_HANDLER_H
    
    #include "project.h"

   
    /* Definitions to know when the timestamp is internally updated or from smartphone */   
    #define FIX_PASSKEY                (1u)
    #define CLEAR_PASSKEY              (0u)
          

    typedef enum
    {
        ADVERTISEMENT_PUBLIC,
        ADVERTISEMENT_PRIVATE
    } ADVERTISEMENT_STATE;


typedef enum
{
    AUTHENTICATION_NOT_CONNECTED,
    AUTHENTICATION_COMPLETE_BONDING_REQD,
    AUTHENTICATION_READ_CENTRAL_ADDRESS_RESOLUTION,
    AUTHENTICATION_READING_CAR,
    AUTHENTICATION_UPDATE_CONN_PARAM,
    AUTHENTICATION_BONDING_COMPLETE,
    AUTHENTICATION_BONDING_REMOVE_WAITING_EVENT,
    AUTHENTICATION_BONDING_REMOVE_GO_AHEAD
} AUTHENTICATION_STATE;


CYBLE_CYPACKED typedef struct
{
    uint8 mode;                         /* bit0: General or Limited TX operation
                                           bit1: Undirected of Directed advertising */
    uint32 dataLength;                  /* Data Length for limited mode */
}CYBLE_CYPACKED_ATTR CYBLE_CUSTOM_CONFIG_T;


#define CYBLE_CUSTOM_MODE_LIMITED                          (1u)
#define CYBLE_CUSTOM_MODE_DIRECTED_ADV                     (2u)
#define CYBLE_PVT_ADDRESS_TIMEOUT   (900u)      /* It is recommended to set the timer to 15 minutes */
#define CYBLE_GAP_KEY_FLAG_LII              (0x02u)


    void BLEHandler_vStart(void);
    void BLEHandler_vPrivacyTask(void);
#endif

/* [] END OF FILE */
