/*******************************************************************************
* File Name: Unpair_ISR.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_Unpair_ISR_H)
#define CY_ISR_Unpair_ISR_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void Unpair_ISR_Start(void);
void Unpair_ISR_StartEx(cyisraddress address);
void Unpair_ISR_Stop(void);

CY_ISR_PROTO(Unpair_ISR_Interrupt);

void Unpair_ISR_SetVector(cyisraddress address);
cyisraddress Unpair_ISR_GetVector(void);

void Unpair_ISR_SetPriority(uint8 priority);
uint8 Unpair_ISR_GetPriority(void);

void Unpair_ISR_Enable(void);
uint8 Unpair_ISR_GetState(void);
void Unpair_ISR_Disable(void);

void Unpair_ISR_SetPending(void);
void Unpair_ISR_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the Unpair_ISR ISR. */
#define Unpair_ISR_INTC_VECTOR            ((reg32 *) Unpair_ISR__INTC_VECT)

/* Address of the Unpair_ISR ISR priority. */
#define Unpair_ISR_INTC_PRIOR             ((reg32 *) Unpair_ISR__INTC_PRIOR_REG)

/* Priority of the Unpair_ISR interrupt. */
#define Unpair_ISR_INTC_PRIOR_NUMBER      Unpair_ISR__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable Unpair_ISR interrupt. */
#define Unpair_ISR_INTC_SET_EN            ((reg32 *) Unpair_ISR__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the Unpair_ISR interrupt. */
#define Unpair_ISR_INTC_CLR_EN            ((reg32 *) Unpair_ISR__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the Unpair_ISR interrupt state to pending. */
#define Unpair_ISR_INTC_SET_PD            ((reg32 *) Unpair_ISR__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the Unpair_ISR interrupt. */
#define Unpair_ISR_INTC_CLR_PD            ((reg32 *) Unpair_ISR__INTC_CLR_PD_REG)



#endif /* CY_ISR_Unpair_ISR_H */


/* [] END OF FILE */
